package com.persagy.apm.report.dependencies.environment.client.fallback;

import com.persagy.apm.report.dependencies.environment.client.EnvironmentWebClient;
import org.springframework.cloud.openfeign.FallbackFactory;
import org.springframework.stereotype.Component;

/**
 * @author wangchenghong
 */
@Component
public class EnvironmentWebClientFallbackFactory implements FallbackFactory<EnvironmentWebClient> {
    @Override
    public EnvironmentWebClient create(Throwable throwable) {
        return null;
    }
}
